Subject: Re: [OT] Your branch is ahead of the tracked remote branch 'origin/master' by 50 commits.

From: Bruce Stephens <[email-masked]>
Date: Tue, 01 Jul 2008 10:26:39 +0100

Ingo Molnar <[email-masked]> writes:

> i recently switched to 1.5.6.1.89.gd5446 and i'm getting this:
>
>   Switched to branch "master"
>   Your branch is ahead of the tracked remote branch 'origin/master' by 50 commits.
>
> it's a very useful detail! It's especially useful when two branches 
> diverge in a non-trivial way.

I agree, it's a really nice little feature.  Indeed, I occasionally do
"git checkout master" just to get the message (to see where I am).

It feels logical for "git status" to offer the same information (when
the information is appropriate).

[...]